<ion-header>
  <ion-toolbar mode="ios">
    <ion-buttons slot="start">
      <ion-back-button></ion-back-button>
    </ion-buttons>
    <ion-title>{{date | date:'MMM dd, yyyy'}}</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-list>
    <ion-item *ngFor="let sale of sales" button="true" (click)="details(sale)">            
      <h5 slot="start">{{sale.salesDate | date:'HH:mm'}}</h5>
      <ion-label>
        <h6>{{sale.salesDate | date:'yyyyMMddhhmmss' }}</h6>      
        <p>Total: {{sale.total | currency:' '}}</p>
        <p>Discount: {{sale.discount | currency:' '}}</p>
      </ion-label>      
      <ion-icon name="ios-warning" slot="end" color="danger" *ngIf="sale.cancelled"></ion-icon>
      <p slot="end">{{sale.net | currency:' '}}</p>
    </ion-item>
  </ion-list>

  <p class="count" *ngIf="sales.length">{{sales.length}} receipts</p>
</ion-content>